CREATE TABLE gtg_ac_algo_ref_data_sd (
    ALGO_ID                  NUMBER(18, 0) ,
    ALGO_REF_TYPE            VARCHAR2(128) ,
    REF_VALUE_KEY            VARCHAR2(96)  ,
    REF_TYPE_KEY             VARCHAR2(200) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    IS_ACTIVE                NUMBER(1, 0)  ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ALGO_ID                  NUMBER(18, 0) ,
    ALGO_REF_TYPE            VARCHAR2(128) ,
    REF_VALUE_KEY            VARCHAR2(96)  ,
    REF_TYPE_KEY             VARCHAR2(200) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    IS_ACTIVE                NUMBER(1, 0)  ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_gtg_ac_algo_ref_data_sd PRIMARY KEY (ALGO_ID, ALGO_REF_TYPE, REF_VALUE_KEY, REF_TYPE_KEY, ALGO_ID, ALGO_REF_TYPE, REF_VALUE_KEY, REF_TYPE_KEY)
);
